class RbQuenchAnalysis(object):
    @staticmethod
    def get_user_comment(system, is_automatic=False, automatic_analysis_rating=''):
        # if in the automatic mode (is_automatic=True), always return False to avoid breaking the analysis loop
        if is_automatic:
            if automatic_analysis_rating == '':
                system_comment = 'Automatic analysis, no expert feedback.'
            else:
                system_comment = automatic_analysis_rating
        else:
            system_check = input("Is {} ok? [NOT_OK]:".format(system))
            system_check = system_check.upper() or 'NOT_OK'
            if system_check != 'OK':
                system_check = 'NOT_OK'
                system_comment = input("Please insert some comments: ")
                system_comment = system_comment or system_check
            else:
                system_comment = 'OK'

        print("-----")
        print("{} Analysis comment is: {}".format(system, system_comment))
        print("-----")
        return system_comment

    @staticmethod
    def check_show_next(index, report_analysis, is_automatic=False):
        # if in the automatic mode (is_automatic=True), always return False to avoid breaking the analysis loop
        if is_automatic:
            return False
        # if the list has been exhausted
        if (index == len(report_analysis)):
            return True
        else:
            show_next = input("Show next? [Y or N]:")
            show_next = show_next.upper() or 'Y'
            if show_next == 'N':
                return True
            else:
                return False