from lhcsmapi.dbsignal.SignalUtilities import SignalUtilities
from lhcsmapi.dbsignal.Signal import Signal


class IqdsQuery(object):

    @staticmethod
    def query_synchronize_pm_signal(metadata, SIGNAL_NAME, timestamp, source=None):
        SIGNAL_NAME = SIGNAL_NAME if type(SIGNAL_NAME) is list else [SIGNAL_NAME]
        source = metadata['source'] if source == None else source

        pm_signal = Signal()
        for SIGNAL_NAME_el in SIGNAL_NAME:
            pm_signal.read('pm', append=True, system=metadata['system'], className=metadata['className'], source=source,
                           signal=SIGNAL_NAME_el, eventTime=timestamp)

        # Preprocess signal
        pm_df = pm_signal.get_synchronized_time_df(timestamp)
        return SignalUtilities.convert_indices_to_sec(pm_df)
