import matplotlib.pyplot as plt


class BusbarResistancePlot(object):

    @staticmethod
    def plot_feature_per_busbar(busbar_feature_df, title, ylabel, ythres):
        ax = busbar_feature_df.plot(figsize=(30, 10), kind='bar', color='red', grid=True)
        ax.set_title(title)
        ax.title.set_size(20)
        ax.set_xlabel("Busbar, [-]", fontsize=15)
        ax.set_ylabel(ylabel, fontsize=15)
        ax.tick_params(labelsize=15)
        ax.axhspan(ymin=ythres[0], ymax=ythres[1], facecolor='xkcd:yellowgreen', alpha=0.5)
        plt.show()