import requests
import json
import pandas as pd
import numpy as np
import pytimber
ldb = pytimber.LoggingDB()
import utils as u


class Signal(object):
    
    def __init__(self, name={}, start_time=0, end_time=0, value=0, time=0, unit={}):
        self.name = name
        self.start_time = start_time
        self.end_time = end_time
        self.value = value
        self.time = time
        self.unit = unit
        
    def get_signal(self, name):
        """ Function is returning DF with one signal """
        d = ldb.get(name, self.start_time, self.end_time)
        
        self.time = d.get(name)[0]
        self.value = d.get(name)[1]
        
        frame = pd.DataFrame(self.value, self.time, [name])
        return frame
        