import unittest
from lhcsmapi.reference.Reference import Reference

class TestReference(unittest.TestCase):

    def test_getCrateNameFromMagnetName_RB(self):
        """Tests that Metadata.getCrateToMagnetAndVoltageFeelerMapping() returns correct signal"""

        #arrange
        cell = "A8R1"
        timestamp = 1417014253613000000

        # act
        refDischargeDf = Reference.get_quench_heater_reference_discharges()

        # assert
        ts = refDischargeDf[refDischargeDf["Cell"] == cell]["Timestamp"].values[0]
        self.assertEqual(timestamp, ts)

